Bug 1004116 - [abrt] yum-3.4.3-106.fc19: sqlutils.py:166:executeSQLQmark:OperationalError: database is locked [NEEDINFO]
[abrt] yum-3.4.3-106.fc19: sqlutils.py:166:executeSQLQmark:OperationalError: ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
abrt_hash:bb0c5704ce00d0499f6aeb8c857...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 21:39 EDT by Maurice James
Modified: 2014-05-28 07:48 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-28 07:48:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zpavlas: needinfo? (midnightsteel)


Attachments (Terms of Use)
File: backtrace (1.46 KB, text/plain)
2013-09-03 21:39 EDT, Maurice James
no flags Details
File: environ (2.31 KB, text/plain)
2013-09-03 21:39 EDT, Maurice James
no flags Details

  None (edit)
Description Maurice James 2013-09-03 21:39:12 EDT
Version-Release number of selected component:
yum-3.4.3-106.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python /bin/yum localinstall spacewalk-client-repo-2.0-3.fc19.noarch.rpm
executable:     /bin/yum
kernel:         3.10.7-200.fc19.i686.PAE
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
sqlutils.py:166:executeSQLQmark:OperationalError: database is locked

Traceback (most recent call last):
  File "/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 316, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 219, in main
    return_code = base.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 732, in doTransaction
    resultobject = self.runTransaction(cb=cb)
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1748, in runTransaction
    lastdbv = self.history.last()
  File "/usr/lib/python2.7/site-packages/yum/history.py", line 1265, in last
    ret = self.old([], 1, complete_transactions_only)
  File "/usr/lib/python2.7/site-packages/yum/history.py", line 1214, in old
    executeSQL(cur, sql, params)
  File "/usr/lib/python2.7/site-packages/yum/sqlutils.py", line 166, in executeSQLQmark
    return cursor.execute(query)
OperationalError: database is locked

Local variables in innermost frame:
cursor: <sqlite3.Cursor object at 0x98f4ee0>
query: 'SELECT tid,\n                         trans_beg.timestamp AS beg_ts,\n                         trans_beg.rpmdb_version AS beg_rv,\n                         trans_end.timestamp AS end_ts,\n                         trans_end.rpmdb_version AS end_rv,\n                         loginuid, return_code\n                  FROM trans_beg JOIN trans_end USING(tid) ORDER BY tid DESC LIMIT 1'
params: None

Potential duplicate: bug 756406
Comment 1 Maurice James 2013-09-03 21:39:17 EDT
Created attachment 793399 [details]
File: backtrace
Comment 2 Maurice James 2013-09-03 21:39:21 EDT
Created attachment 793400 [details]
File: environ
Comment 3 Zdeněk Pavlas 2013-09-04 08:00:32 EDT
Something is using yum history db without acquiring yum lock first.  Is packageKit running? (you see yumBackend.py in ps output)?  Could you find processes using /var/lib/yum/history/*.sqlite ?
Comment 4 Valentina Mukhamedzhanova 2014-05-28 07:48:09 EDT
Closing as there is no reply.

Note You need to log in before you can comment on or make changes to this bug.